VMware Player 7.x < 7.1.2 Shared Folders (HGFS) Guest Privilege Escalation (VMSA-2016-0001)

Medium Nessus Plugin ID 87926


A virtualization application installed on the remote host is affected by a guest privilege escalation vulnerability.


The version of VMware Player installed on the remote host is 7.x prior to 7.1.2. It is, therefore, affected by a guest privilege escalation vulnerability in the Shared Folders (HGFS) feature due to improper validation of user-supplied input. A local attacker can exploit this to corrupt memory, resulting in an elevation of privileges.


Upgrade to VMware Player 7.1.2 or later.

Note that VMware Tools in any Windows-based guests that use the Shared Folders (HGFS) feature must also be updated to completely mitigate the vulnerability.

See Also


Plugin Details

Severity: Medium

ID: 87926

File Name: vmware_player_priv_esc_vmsa_2016_0001.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2016/01/14

Modified: 2016/05/02

Dependencies: 31728

Risk Information

Risk Factor: Medium


Base Score: 4.6

Temporal Score: 3.4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:vmware:player

Required KB Items: SMB/Registry/Enumerated, VMware/Player/Path, VMware/Player/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/01/07

Vulnerability Publication Date: 2016/01/07

Reference Information

CVE: CVE-2015-6933

OSVDB: 132670

VMSA: 2016-0001